#main-sidebar-container {
    margin: 0px;
    position: fixed;
    top: 0px;
    left: 0px;
    bottom: 0px;
    width: 17vw;
    padding: 2rem 1rem;
    background-color: var(--sidebar__container_color);
    font-size: 13px;
    box-shadow: 0 .5rem 1rem rgba(0, 0, 0, .15);
    display: flex;
    flex-direction: column;
    gap: 20px;

    .hidden {
        width: 0;
    }
}

#main-sidebar-container * {
    margin-top: 0;
    margin-bottom: 0;
}

.sidebar__logo_se {
    height: 4vh;
}

.sidebar__title {
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 3.5vh;
    color: var(--sidebar__text_color);
    font-weight: 100;
    gap: 0.7vw;
    margin-bottom: 5vh;
}

.sidebar__filter_button {
    display: flex;
    align-items: center;
    width: 100%;
    font-size: 1.7vh;
    padding: 0.5vw 0 1vh 0.5vw;
    font-weight: normal;
    color: var(--sidebar__text_color);
    background-color: transparent;
    text-decoration: none;
}

.sidebar__filter_button:hover {
    color: var(--sidebar__text_color);
    background-color: var(--sidebar__hover_button_color);
    border-radius: 0.5vw;
}

.sidebar__home_button {
    display: flex;
    align-items: center;
    color: var(--sidebar__text_color);
    gap: 10px;
    text-decoration: none;
}

.sidebar__home_button:hover img {
    transform: scale(1.001);
    height: 6vh;
    transition: all 0.5s ease-in-out;
}

.sidebar__home_button:not(:hover) img {
    height: 6vh;
}

#tabs {
    display: flex;
    flex-direction: column;
    justify-content: center;
    gap: 1vh;
    font-size: 1.7vh;
    border-radius: 8px;
    padding: 1vh 0;
    color: var(--sidebar__text_color);
    font-weight: normal;
    box-shadow: var(--primary-box-shadow);
}

.form-check {
    /*display: flex;*/
    /*justify-content: center;*/
    min-height: 1.5rem;
    padding-left: 0;
    margin-bottom: .125rem;
}

#sidebar__filter_button,
#tabs .form-check-label {
    display: flex;
    /*justify-content: center;*/
    align-items: center;
}

.home__result_button:hover img,
#tabs .form-check-label:hover img,
#sidebar__filter_button:hover img,
.sidebar__tabs_secondary_ul button:hover img {
    transform: rotate(-10deg);
    transition: transform 0.1s step-start;
}

#tabs input {
    visibility: hidden;
}

#tabs_secondary {
    color: var(--sidebar__text_color);
    padding-left: 0.5vw;
    font-size: 1.7vh;
}

.main-navbar-radios .form-check-label {
    cursor: pointer;
    width: 100%;
    padding: 0.5vw 0vw 0.5vw 0.5vw;
}

.main-navbar-radios .main-navbar-label-active {
    font-weight: bold;
    border-radius: 0.5vw;
    background-color: var(--sidebar__hover_button_color);
}

.main-navbar-radios .form-check:hover {
    background-color: var(--sidebar__hover_button_color);
    border-radius: 0.5vw;
    cursor: pointer;
}

.sidebar__logos {
    height: 2.5vh;
    padding-right: 0.5vw;
}

.sidebar__logo_open {
    height: 1.5vh;
    padding-left: 0.3vw;
}

.sidebar__tabs_secondary_ul {
    list-style-type: none;
    padding-left: 0 !important;
}


.sidebar__tabs_secondary_ul .btn.active {
    background-color: var(--sidebar__hover_button_color);
    font-weight: bold;
}

.sidebar__tabs_secondary_nested_ul {
    list-style-type: none;
    padding: 0.5rem 0 1rem 0.6rem;
}

.sidebar__tabs_secondary_nested_ul li {
    border-radius: 5px;
    margin: 0.5vh 0vh 0.5vh 0.5vh;
    padding: 0.5vh 0.5vh 0.5vh 0.5vh;
    font-size: 1.6vh;
    letter-spacing: 0.1px;
}

.sidebar__tabs_secondary_nested_ul li:hover {
    background-color: var(--sidebar__hover_button_color);
}

.sidebar__tabs_labels_secondary_classname {
    width: 100%;
    text-align: left;
    background-color: transparent;
    border: none;
    font-size: 1.5vh;
}

.sidebar__tabs_labels_secondary_classname:hover {
    background-color: var(--sidebar__hover_button_color);
}

.sidebar__badge {
    margin-right: 0.5vh;
}
